# Events (Archive)

Events are an important concept and are used in [webooks](/api/webhooks.md) and the [API](/api/endpoints/event.md).

Learn more about events and managing them within your account:

{% embed url="<https://docs.halosecurity.com/docs/platform/events>" %}

## Standard response format

Events return JSON data with several standard fields, as well as event-specific fields that are detailed in the documentation for that event. These standard fields are the following:

| FIeld     | Type   | Description                        |
| --------- | ------ | ---------------------------------- |
| event\_id | string | ID of the event that was triggered |
| subject   | string | Description of the event           |
| key       | string | Key name of the event              |
| url       | string | URL to access the event ID         |

## Example data

An example of the standard response returned by an Event

```
{
    "event_id": "202201010112004328b91bcffff5941efffffa426450d098f",
    "subject": "Subject",
    "key": "key-name",
    "url": "https://www.halosecurity.com/link?q=user-event&id=202201010112004328b91bcffff5941efffffa426450d098f"
}
```

## Events List

There are many kinds of events. Each kinds has a distinct key that you can use to filter events or configure integrations. The full list is below:

| Key                                                                                       | Subject                            |
| ----------------------------------------------------------------------------------------- | ---------------------------------- |
| [account-apikey-add](/api/events-archive/account-apikey-add.md)                           | API Key Added                      |
| [account-user-add](/api/events-archive/account-user-add.md)                               | User Added                         |
| [domain-add](/api/events-archive/domain-add.md)                                           | Domain Added                       |
| [domain-host-add](/api/events-archive/domain-host-add.md)                                 | New Domain Host Discovered         |
| [domain-scan-finish](/api/events-archive/domain-scan-finish.md)                           | Scan Complete                      |
| [domain-scan-first](/api/events-archive/domain-scan-first.md)                             | First Scan Complete                |
| [domain-scan-start](/api/events-archive/domain-scan-start.md)                             | Scan Started                       |
| [domain-tld-add](/api/events-archive/domain-tld-add.md)                                   | New Domain TLD Discovered          |
| [firewall-banner-change](/api/events-archive/firewall-banner-change.md)                   | Firewall Port Banner Changed       |
| [firewall-port-add](/api/events-archive/firewall-port-add.md)                             | Firewall Port Opened               |
| [issue-add](/api/events-archive/issue-add.md)                                             | New Issue Detected                 |
| [network-add](/api/events-archive/network-add.md)                                         | Network Added                      |
| [network-ip-add](/api/events-archive/network-ip-add.md)                                   | New Network IP Discovered          |
| [network-ip-remove](/api/events-archive/network-ip-remove.md)                             | Network IP Offline                 |
| [network-port-add](/api/events-archive/network-port-add.md)                               | New Network Port Discovered        |
| [network-port-remove](/api/events-archive/network-port-remove.md)                         | Network Port Closed                |
| [network-scan-finish](/api/events-archive/network-scan-finish.md)                         | Scan Complete                      |
| [network-scan-first](/api/events-archive/network-scan-first.md)                           | First Scan Complete                |
| [network-scan-start](/api/events-archive/network-scan-start.md)                           | Scan Started                       |
| [pci-report-approved](/api/events-archive/pci-report-approved.md)                         | PCI Report Approved                |
| [pci-report-expire-past](/api/events-archive/pci-report-expire-past.md)                   | PCI Report Has Expired             |
| [pci-report-expire-soon](/api/events-archive/pci-report-expire-soon.md)                   | PCI Report Expires Soon            |
| [pci-report-expire-today](/api/events-archive/pci-report-expire-today.md)                 | PCI Report Expires Today           |
| [pci-report-rejected](/api/events-archive/pci-report-rejected.md)                         | PCI Report Rejected                |
| [project-engineer](/api/events-archive/project-engineer.md)                               | Project Engineer Assigned          |
| [project-file](/api/events-archive/project-file.md)                                       | Project File Attached              |
| [project-state](/api/events-archive/project-state.md)                                     | Project State Changed              |
| [target-add](/api/events-archive/target-add.md)                                           | Target Added                       |
| [target-scan-failed](/api/events-archive/target-scan-failed.md)                           | Scan Failed                        |
| [target-scan-finish](/api/events-archive/target-scan-finish.md)                           | Scan Complete                      |
| [target-scan-first](/api/events-archive/target-scan-first.md)                             | First Scan Complete                |
| [target-scan-start](/api/events-archive/target-scan-start.md)                             | Scan Started                       |
| [technology-add](/api/events-archive/technology-add.md)                                   | New Technology                     |
| [technology-add-first-scan](/api/events-archive/technology-add-first-scan.md)             | New Technology (First Scan)        |
| [website-cert-expired](/api/events-archive/website-cert-expired.md)                       | SSL Certificate Expired            |
| [website-cert-expiring](/api/events-archive/website-cert-expiring.md)                     | SSL Certificate Expiring           |
| [website-cert-new-country](/api/events-archive/website-cert-new-country.md)               | SSL Certificate New Country        |
| [website-cert-new-issuer](/api/events-archive/website-cert-new-issuer.md)                 | SSL Certificate New Issuer         |
| [website-cert-risk](/api/events-archive/website-cert-risk.md)                             | SSL Certificate Risk               |
| [website-cookie-monitor-change](/api/events-archive/website-cookie-monitor-change.md)     | Monitored Website Cookie Changed   |
| [website-cookie-new-country](/api/events-archive/website-cookie-new-country.md)           | Website Cookie New Country         |
| [website-cookie-oos](/api/events-archive/website-cookie-oos.md)                           | Website Cookie Out-of-Scope        |
| [website-cookie-risk](/api/events-archive/website-cookie-risk.md)                         | Website Cookie Risk                |
| [website-download-monitor-change](/api/events-archive/website-download-monitor-change.md) | Monitored Website Download Changed |
| [website-download-new-country](/api/events-archive/website-download-new-country.md)       | Website Download New Country       |
| [website-download-oos](/api/events-archive/website-download-oos.md)                       | Website Download Out-of-Scope      |
| [website-download-risk](/api/events-archive/website-download-risk.md)                     | Website Download Risk              |
| [website-form-monitor-change](/api/events-archive/website-form-monitor-change.md)         | Monitored Website Form Changed     |
| [website-form-new-country](/api/events-archive/website-form-new-country.md)               | Website Form New Country           |
| [website-form-oos](/api/events-archive/website-form-oos.md)                               | Website Form Out-of-Scope          |
| [website-form-risk](/api/events-archive/website-form-risk.md)                             | Website Form Risk                  |
| [website-header-monitor-change](/api/events-archive/website-header-monitor-change.md)     | Monitored Website Header Changed   |
| [website-header-risk](/api/events-archive/website-header-risk.md)                         | Website Header Risk                |
| [website-link-new-country](/api/events-archive/website-link-new-country.md)               | Website Link New Country           |
| [website-link-new-email](/api/events-archive/website-link-new-email.md)                   | Website Link New Email             |
| [website-link-new-phone](/api/events-archive/website-link-new-phone.md)                   | Website Link New Phone             |
| [website-link-oos](/api/events-archive/website-link-oos.md)                               | Website Link Out-of-Scope          |
| [website-link-risk](/api/events-archive/website-link-risk.md)                             | Website Link Risk                  |
| [website-script-monitor-change](/api/events-archive/website-script-monitor-change.md)     | Monitored Website Script Changed   |
| [website-script-new-country](/api/events-archive/website-script-new-country.md)           | Website Script New Country         |
| [website-script-oos](/api/events-archive/website-script-oos.md)                           | Website Script Out-of-Scope        |
| [website-script-risk](/api/events-archive/website-script-risk.md)                         | Website Script Risk                |
| [website-traffic-new-country](/api/events-archive/website-traffic-new-country.md)         | Website Traffic New Country        |
| [website-traffic-oos](/api/events-archive/website-traffic-oos.md)                         | Website Traffic Out-of-Scope       |
| [website-whois-change](/api/events-archive/website-whois-change.md)                       | Domain Registration Changes        |
| [website-whois-expired](/api/events-archive/website-whois-expired.md)                     | Domain Registration Expired        |
| [website-whois-expiring](/api/events-archive/website-whois-expiring.md)                   | Domain Registration Expiring       |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/events-archive.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
